    import {LogisticRegression} from 'tensorscript/lib/logistic_regression.mjs'

public class | source

# LogisticRegression

#### Extends:

lib/deep_learning.js~BaseNeuralNetwork → LogisticRegression

#### Implements:

- BaseNeuralNetwork

Logistic Regression Classification with Tensorflow

#### Test:

- LogisticRegression

## Constructor Summary

Public Constructor
public | constructor(options: {layers: Array<Object>, compile: Object, fit: Object}, properties: *) |

## Member Summary

Public Members
public | layers |
public | xShape |
public | yShape |

## Method Summary

Public Methods
public | generateLayers(x_matrix: Array<Array<number>>, y_matrix: Array<Array<number>>, layers: Array<Object>, x_test: Array<Array<number>>, y_test: Array<Array<number>>) Adds dense layers to tensorflow classification model |

## Public Constructors

### public constructor(options: {layers: Array<Object>, compile: Object, fit: Object}, properties: *) source

#### Params:

Name | Type | Attribute | Description
options | {layers: Array<Object>, compile: Object, fit: Object} |  | neural network configuration and tensorflow model hyperparameters
properties | * |  | extra instance properties

#### Test:

- LogisticRegression constructor

## Public Members

### public layers source

### public xShape source

### public yShape source

## Public Methods

### public generateLayers(x_matrix: Array<Array<number>>, y_matrix: Array<Array<number>>, layers: Array<Object>, x_test: Array<Array<number>>, y_test: Array<Array<number>>) source

Adds dense layers to tensorflow classification model

#### Params:

Name | Type | Attribute | Description
x_matrix | Array<Array<number>> |  | independent variables
y_matrix | Array<Array<number>> |  | dependent variables
layers | Array<Object> |  | model dense layer parameters
x_test | Array<Array<number>> |  | validation data independent variables
y_test | Array<Array<number>> |  | validation data dependent variables

#### Test:

- LogisticRegression generateLayers